<!-- #widgetarea -->
<div id="widgetarea" class="bpanel-content">

  <!-- .bpanel-main-content -->
  <div class="bpanel-main-content">
    <ul class="sub-panel widget-area-nav">
      <li><a href="#for-custom-widget-area"><?php _e("Widget Areas",'soulmedic');?></a></li>
    </ul>

    <!-- General -->
    <div id="for-custom-widget-area" class="tab-content">
      <div class="bpanel-box">
        <div class="box-title"><h3><?php _e('Create New Widget Area','soulmedic');?></h3></div>
        <div class="box-content">

          <p class="note"><?php _e("You can create widget areas here, and assign them in individual paage/post",'soulmedic');?></p>
          <div class="bpanel-option-set">
            <input type="button" value="<?php _e('Add New Widget Area','soulmedic');?>" class="black mytheme_add_widgetarea" />
            <div class="hr_invisible"></div><?php
              $widgets = dttheme_option('widgetarea','custom');
              $widgets = is_array($widgets) ? array_unique($widgets) : array();
              $widgets = array_filter($widgets);?>
          </div>
          <div class="bpanel-option-set">    
            <ul class="added-menu"><?php
                foreach( $widgets as $k => $v){?>
                    <li>
                      <div class="item-bar">
                        <span class="item-title"><?php _e('Widget Area:','soulmedic'); echo" $v";?></span>
                        <span class="item-control"><a class="item-edit"><?php _e('Edit','soulmedic');?></a></span>
                      </div>
                      <div class="item-content" style="display: none;">
                        <span><label><?php _e('Name','soulmedic');?></label><input type="text" name="mytheme[widgetarea][custom][]" class="social-link" value="<?php echo $v;?>" /></span>
                        <div class="remove-cancel-links">
                          <span class="remove-item"><?php _e('Remove','soulmedic');?></span>
                          <span class="meta-sep"> | </span>
                          <span class="cancel-item"><?php _e('Cancel','soulmedic');?></span>
                        </div>
                      </div>
                    </li><?php
                }?>
            </ul>

            <ul class="sample-to-edit" style="display:none;">
              <li>
                <div class="item-bar">
                  <span class="item-title"><?php _e('Widget Area','soulmedic');?></span>
                  <span class="item-control"><a class="item-edit"><?php _e('Edit','soulmedic');?></a></span>
                </div>

                <div class="item-content">
                  <span><label><?php _e('Name','soulmedic');?></label><input type="text" class="social-link" /></span>
                  <div class="remove-cancel-links">
                    <span class="remove-item"><?php _e('Remove','soulmedic');?></span>
                    <span class="meta-sep"> | </span>
                    <span class="cancel-item"><?php _e('Cancel','soulmedic');?></span>
                  </div>
                </div>
              </li>
            </ul>
          </div>
        </div>
      </div>
    </div><!-- General End -->
  </div><!-- .bpanel-main-content end-->
</div><!-- #widgetarea end -->